#!/bin/bash
if [ ! -f .env ] 
then
    echo "Config not found"
    exit
fi

source .env
rm -rf ./src
cp -r "${mod_path}" "./src"

# TODO: implement .modignore processing from current dir and from src

md5=`find ./src -type f -exec md5sum {} + | awk '{print $1}' | sort | md5sum | awk '{ print $1 }'`

if [ -f "src/module.json" ]
then
    mod_name=`cat src/module.json | jq ".name" -r`
    mod_version=`cat src/module.json | jq ".version" -r`
    mod_title=`cat src/module.json | jq ".title" -r`
else
    echo "Moduleinfo read failed"
    exit 9
fi

echo "{
 \"name\":\"${mod_name}\",
 \"version\":\"${mod_version}\",
 \"title\":\"${mod_title}\",
 \"hash\":\"${md5}\"
}" > src/module.json

zip_name="mod_$mod_name-v$mod_version.zip"
rm -f mod_*.zip
cd src
zip -r ../$zip_name .
cd -
rm -rf src

curl --user ${REG_LOGIN}:${REG_PASSWORD} \
     --upload-file ${zip_name} \
     https://mxfox.ru/api/packages/${REG_REPOS}/generic/${mod_name}/${mod_version}/${mod_name}.zip

